Reactivate purchase
curl --request POST \
--url https://api.kajabi.com/v1/purchases/{id}/reactivate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kajabi.com/v1/purchases/{id}/reactivate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kajabi.com/v1/purchases/{id}/reactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "purchases",
"attributes": {
"amount_in_cents": 123,
"payment_type": "<string>",
"multipay_payments_made": 123,
"opt_in": true,
"raw_extra_contact_information": {},
"currency": "<string>",
"effective_start_at": "<string>",
"cardholder_name": "<string>",
"billing_address_zip": "<string>",
"deactivated_at": "<string>",
"deactivation_reason": "<string>",
"coupon_code": "<string>",
"source": "<string>",
"referrer": "<string>",
"quantity": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"offer": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"customer": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"transactions": {
"data": [
{
"id": "<string>",
"type": "<string>"
}
]
},
"products": {
"data": [
{
"id": "<string>",
"type": "<string>"
}
]
}
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}Purchases
Reactivate purchase
Reactivate a purchase by ID, this will not reactivate the subscription.
If the product can be reactivated the response will be successful. Otherwise, the response will be an error.
POST
/
v1
/
purchases
/
{id}
/
reactivate
Reactivate purchase
Was this page helpful?
⌘I